#ifndef WIDGET_H
#define WIDGET_H

#include <QWidget>
#include <QRadioButton>
#include <QTextEdit>
#include <QLabel>
#include <list>
#include "lcd_modul.h"

using namespace std;

namespace Ui {
class Widget;
}

class Widget : public QWidget
{
    Q_OBJECT
    LCD lcd;

public:
    explicit Widget(QWidget *parent = 0);
    ~Widget();

private slots:
    void on_showButton_clicked();
    void on_radioButtonFixed1_clicked();
    void on_radioButtonFlowing1_clicked();
    void on_radioButtonEffect1_clicked();
    void on_radioButtonBlinking1_clicked();
    void on_radioButtonFixed2_clicked();
    void on_radioButtonFlowing2_clicked();
    void on_radioButtonEffect2_clicked();
    void on_radioButtonBlinking2_clicked();
    void on_radioButtonTyped_clicked(bool checked);
    void on_radioButtonTypedHidden2_toggled(bool checked);
    void on_radioButtonTypedHidden1_toggled(bool checked);
    void on_sliderVelocity_valueChanged(int value);
    void on_textEdit1_textChanged();
    void on_textEdit2_textChanged();
    void handleEnterAndCheckInput(QTextEdit* textEdit, bool restrictInputSize, QLabel* label, QString& fixedText);
    void on_pushButtonSmiley1_clicked();
    void on_pushButtonSad1_clicked();
    void on_pushButtonCopyright1_clicked();
    void on_pushButtonHeart1_clicked();
    void on_pushButtonArrowLeft1_clicked();
    void on_pushButtonArrowRight1_clicked();
    void on_pushButtonSmiley2_clicked();
    void on_pushButtonSad2_clicked();
    void on_pushButtonCopyright2_clicked();
    void on_pushButtonHeart2_clicked();
    void on_pushButtonArrowLeft2_clicked();
    void on_pushButtonArrowRight2_clicked();

private:
    Ui::Widget *ui;
    enum class Icon { SMILEY, SAD, COPYRIGHT, HEART, ARROW_LEFT, ARROW_RIGHT };
    void addIcon(int line, Icon icon);
    QString fixedTexts[2];
};

#endif // WIDGET_H
